=== debian/changelog ===
golang-github-joshdk-go-junit (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1121549)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 28 Nov 2025 11:22:26 +0100
