=== debian/control ===
Source: golang-github-joshdk-go-junit
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-stretchr-testify-dev <!nocheck>
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-joshdk-go-junit
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-joshdk-go-junit.git
Homepage: https://github.com/joshdk/go-junit
XS-Go-Import-Path: github.com/joshdk/go-junit

Package: golang-github-joshdk-go-junit-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Go library for ingesting JUnit XML reports
 Provides convenience methods to parse and work with JUnit
 XML reports.
