=== debian/watch ===
Version: 5

Template: Github
Owner: joshdk
Project: go-junit
